Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common Class Reference

Configuration parser handling all basic configuration (aka "common"). More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common:

## Public Member Functions
| addSemanticConfig (NodeBuilder $nodeBuilder)
| Adds semantic configuration definition. More...
| preMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor before looping over available scopes. More...
| mapConfig (array &$scopeSettings, $currentScope, ContextualizerInterface $contextualizer)
| Does semantic config to internal container parameters mapping for $currentScope. More...
| setSuggestionCollector (SuggestionCollectorInterface $suggestionCollector)
| Injects SuggestionCollector. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser
| postMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor after looping over available scopes. More...

## Private Member Functions
| addDatabaseConfigSuggestion ($sa, array $databaseConfig)

## Private Attributes
| $suggestionCollector

## Detailed Description

Configuration parser handling all basic configuration (aka "common").

Definition at line 19 of file Common.php.

## Member Function Documentation

## ◆ addDatabaseConfigSuggestion()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common::addDatabaseConfigSuggestion | ( |  | $sa,
|  | array | $databaseConfig
| ) |  |
| private

Definition at line 219 of file Common.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common\mapConfig().

## ◆ addSemanticConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common::addSemanticConfig | ( | NodeBuilder | $nodeBuilder | ) |

Adds semantic configuration definition.

Parameters

  \Symfony\Component\Config\Definition\Builder\NodeBuilder | $nodeBuilder | Node just under ezpublish.system.<siteaccess>

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ParserInterface.

Definition at line 29 of file Common.php.

## ◆ mapConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common::mapConfig | ( | array & | $scopeSettings,
|  |  | $currentScope,
|  | ContextualizerInterface | $contextualizer
| ) |  |

Does semantic config to internal container parameters mapping for $currentScope.

This method is called by the `ConfigurationProcessor`, for each available scopes (e.g. SiteAccess, SiteAccess groups or "global").

Parameters

  array | $scopeSettings | Parsed semantic configuration for current scope. It is passed by reference, making it possible to alter it for usage after `mapConfig()` has run.
  string | $currentScope |
  ContextualizerInterface | $contextualizer |

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationMapperInterface.

Definition at line 147 of file Common.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common\addDatabaseConfigSuggestion(), eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface\getContainer(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface\setContextualParameter().

## ◆ preMap()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common::preMap | ( | array | $config,
|  | ContextualizerInterface | $contextualizer
| ) |  |

This method is called by the ConfigurationProcessor before looping over available scopes.

You may here use $contextualizer->mapConfigArray().

See also
  ConfigurationProcessor::mapConfig()
  ContextualizerInterface::mapConfigArray()

Parameters

  array | $config | Complete parsed semantic configuration
  ContextualizerInterface | $contextualizer |

Returns
  mixed

Reimplemented from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser.

Definition at line 142 of file Common.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface\mapConfigArray().

## ◆ setSuggestionCollector()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common::setSuggestionCollector | ( | SuggestionCollectorInterface | $suggestionCollector | ) |

Injects SuggestionCollector.

Parameters

  SuggestionCollectorInterface | $suggestionCollector |

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollectorAwareInterface.

Definition at line 214 of file Common.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common\$suggestionCollector.

## Member Data Documentation

## ◆ $suggestionCollector

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common::$suggestionCollector
| private

Definition at line 22 of file Common.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common\setSuggestionCollector().

The documentation for this class was generated from the following file:

- Common.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.